unit uFrmEnviaEMail;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBCtrls, StdCtrls, Buttons, ExtCtrls;

type
  TfrmEnviaEMail = class(TForm)
    lbl1: TLabel;
    lstConfigEMail: TDBLookupComboBox;
    dsParamEMail: TDataSource;
    edtDestinatario: TLabeledEdit;
    edtCC: TLabeledEdit;
    edtCCO: TLabeledEdit;
    btn1: TSpeedButton;
    lbl2: TLabel;
    lbl3: TLabel;
    gbx1: TGroupBox;
    memCorpo: TMemo;
    btn2: TBitBtn;
    btn3: TBitBtn;
    procedure btn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btn1Click(Sender: TObject);
    procedure btn3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmEnviaEMail: TfrmEnviaEMail;

implementation

uses uDM, uFrmConfigEMail, uFrmLogErro;
{$R *.dfm}

procedure TfrmEnviaEMail.btn1Click(Sender: TObject);
begin
  Try
    frmConfigEMail := TfrmConfigEMail.Create(self);
    frmConfigEMail.ShowModal;
    dm.cdsParamEmail.Open;
  Finally
    frmConfigEMail.Release;
  End;
end;

procedure TfrmEnviaEMail.btn2Click(Sender: TObject);
  procedure Limpa;
  // limpa os campos da tela
  begin
    edtDestinatario.Clear;
    memCorpo.Lines.Clear;
    edtDestinatario.Clear;
    edtCC.Clear;
    edtCCO.Clear;
  end;
begin
  If lstConfigEMail.Text = '' Then
  Begin
    MessageDlg('Informe a configurao do e-mail a ser utiizado.', mtWarning, [mbOK], 0);
  End
  Else if edtDestinatario.Text = '' then
  Begin
    MessageDlg('Informe o e-mail do destinatrio.', mtWarning, [mbOK], 0);
  End
  Else
  Begin
    dm.EnviaEMail(lstConfigEMail.KeyValue,memCorpo.Lines.Text,edtDestinatario.Text,'',edtCC.Text,edtCCO.Text);
    Limpa;
  End;
end;

procedure TfrmEnviaEMail.btn3Click(Sender: TObject);
begin
  try
    frmLogErro := TfrmLogErro.Create(nil);
    frmLogErro.ShowModal;
  finally
    frmLogErro.Release;
  end;
end;

procedure TfrmEnviaEMail.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  dm.cdsParamEmail.Close;
end;

procedure TfrmEnviaEMail.FormShow(Sender: TObject);
begin
  dm.cdsParamEmail.Open;
end;

end.
