unit Unit1;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWCompLabel,
  Controls, Forms, IWVCLBaseContainer, IWContainer, IWHTMLContainer,
  IWHTML40Container, IWRegion, Menus, IWCompMenu, IWHTMLControls, IWExtCtrls,
  pngimage, GIFImg, ImgList, IWImageList;

type
  TfrmBase = class(TIWAppForm)
    IWRegion1: TIWRegion;
    IWLabel1: TIWLabel;
    IWMenu1: TIWMenu;
    MainMenu1: TMainMenu;
    Cadastro1: TMenuItem;
    Usurios1: TMenuItem;
    iposdeAgendamento1: TMenuItem;
    Agenda1: TMenuItem;
    Sair1: TMenuItem;
    IWLabel2: TIWLabel;
    IWImageList1: TIWImageList;
    IWURL1: TIWURL;
    procedure Sair1Click(Sender: TObject);
    procedure iposdeAgendamento1Click(Sender: TObject);
    procedure Usurios1Click(Sender: TObject);
    procedure Agenda1Click(Sender: TObject);
    procedure IWAppFormCreate(Sender: TObject);
    procedure ValidaUsuarioLogado;
  private
  public
  end;

implementation

uses uTiposAgenda, uUsuarios, uAgenda, ServerController, uLogin;

{$R *.dfm}

procedure TfrmBase.Agenda1Click(Sender: TObject);
begin
  //verifica se o menu clicado foi o correspondente  janela que j est ativa
  if TIWAppForm(WebApplication.ActiveForm).Name = 'frmAgenda' then
    exit;
  //destroi o form ativo
  TIWAppForm(WebApplication.ActiveForm).Release;
  //exibe o form solicitado
  TfrmAgenda.Create(WebApplication).Show;
end;

procedure TfrmBase.iposdeAgendamento1Click(Sender: TObject);
begin
  if TIWAppForm(WebApplication.ActiveForm).Name = 'frmTiposAgenda' then
    exit;
  TIWAppForm(WebApplication.ActiveForm).Release;
  TfrmTiposAgenda.Create(WebApplication).Show;
end;

procedure TfrmBase.ValidaUsuarioLogado;
begin
  if (UserSession <> nil) and (UserSession.UsuarioLogado = '') then
  begin
    with TfrmLogin.Create(WebApplication) do
    begin
      TfrmLogin.SetAsMainForm;
      Show;
    end;
  end
  else
    TfrmBase.SetAsMainForm;
end;

procedure TfrmBase.IWAppFormCreate(Sender: TObject);
begin
  ValidaUsuarioLogado;
end;

procedure TfrmBase.Sair1Click(Sender: TObject);
begin
  WebApplication.TerminateAndRedirect(
    'http://www.activedelphi.com.br');
end;

procedure TfrmBase.Usurios1Click(Sender: TObject);
begin
  //verifica se o menu clicado foi o correspondente  janela que j est ativa
  if TIWAppForm(WebApplication.ActiveForm).Name = 'frmUsuarios' then
    exit;
  //destroi o form ativo
  TIWAppForm(WebApplication.ActiveForm).Release;
  //exibe o form solicitado
  TfrmUsuarios.Create(WebApplication).Show;
end;

end.
