unit uTiposAgenda;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Unit1, ImgList, IWImageList, Menus, IWHTMLControls, IWCompLabel,
  IWVCLBaseContainer, IWContainer, IWHTMLContainer, IWHTML40Container, IWRegion,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWCompMenu,
  IWGrids, IWDBGrids, DB, IWDBStdCtrls, IWCompEdit, DBClient, IWDynGrid,
  IWBaseComponent, IWBaseHTMLComponent, IWBaseHTML40Component,
  IWClientSideDatasetBase, IWClientSideDatasetDBLink, IWCompCheckbox,
  IWCompListbox;

type
  TfrmTiposAgenda = class(TfrmBase)
    IWDBGrid1: TIWDBGrid;
    dsTiposAgenda: TDataSource;
    IWDBNavigator1: TIWDBNavigator;
    IWDBEdit1: TIWDBEdit;
    IWLabel3: TIWLabel;
    IWLabel4: TIWLabel;
    IWDBComboBox1: TIWDBComboBox;
    IWDBCheckBox1: TIWDBCheckBox;
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWDBNavigator1Insert(Sender: TObject);
    procedure IWDBGrid1Columns0Click(ASender: TObject; const AValue: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTiposAgenda: TfrmTiposAgenda;

implementation

uses UserSessionUnit, ServerController;

{$R *.dfm}

procedure TfrmTiposAgenda.IWAppFormCreate(Sender: TObject);
begin
  inherited;
  if not UserSession.cdsTiposAgenda.Active then
    UserSession.cdsTiposAgenda.Open;
end;

procedure TfrmTiposAgenda.IWDBGrid1Columns0Click(ASender: TObject;
  const AValue: string);
begin
  inherited;
  UserSession.cdsTiposAgenda.Locate('CODTIP', AValue, []);
end;

procedure TfrmTiposAgenda.IWDBNavigator1Insert(Sender: TObject);
begin
  inherited;
  ActiveControl := IWDBEdit1;
end;

end.
